Determines if a property is abstract

- « ReflectionProperty::hasType

- ReflectionProperty::isDefault »

- PHP Manual
- ReflectionProperty
- Determines if a property is abstract

# ReflectionProperty::isAbstract

(PHP 8 >= 8.4.0)

ReflectionProperty::isAbstract — Determines if a property is abstract

### Description

public ReflectionProperty::isAbstract(): bool

Determines if a property is abstract.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the property is marked `abstract`, `false` otherwise.

### See Also

- Abstract properties